Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.main
Class CmdLineParser.NotFlagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.metaqtl.main.CmdLineParser.OptionException
                  org.metaqtl.main.CmdLineParser.UnknownOptionException
                      org.metaqtl.main.CmdLineParser.NotFlagException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CmdLineParser

    public static class CmdLineParser.NotFlagException

extends CmdLineParser.UnknownOptionException

Thrown when the parsed commandline contains multiple concatenated short options, such as -abcd, where one or more requires a value. `getMessage()` returns an english human-readable error string.

Author:
  Vidar Holen
See Also:
  Serialized Form

Constructor Summary
`CmdLineParser.NotFlagException(java.lang.String option, char unflaggish)`

Method Summary
`char` | `getOptionChar()`

Methods inherited from class org.metaqtl.main.CmdLineParser.UnknownOptionException
`getOptionName`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmdLineParser.NotFlagException

    CmdLineParser.NotFlagException(java.lang.String option,
                                   char unflaggish)

Method Detail

### getOptionChar

    public char getOptionChar()

  Returns:
    the first character which wasn't a boolean (e.g 'c')

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD